#!/usr/bin/env python
# -*- coding: utf-8 -*-

from flask.ext.wtf import Form, FormField, TextField, BooleanField, FileField, RadioField, SelectField, SubmitField, validators

#//class DocDevForm(Form):
    #//fichier_dev = FileField(u'Documents à distribuer', validators=[validators.required()])
    #//submit = SubmitField(u'Charger')
#//
#//class DocDataForm(Form):
    #//fichier_data = FileField(u'Documents à joindre', validators=[validators.required()])
    #//submit = SubmitField(u'Charger')

class TestForm(Form):
    nomdev = TextField(u'Nom de référence', validators=[validators.required()])
    groupe = SelectField(u'Destinataires', choices=[])
    eleve_only = RadioField(u'Uniquement les élèves', default = "eleve", choices=[('eleve', u"Uniquement les élèves"), ('tous',u"À tous les membres")], coerce=unicode)

    #//form_docdev = FormField(DocDevForm)
    #//form_docdata = FormField(DocDataForm)

    rep_dest = RadioField(u"Répertoire de destination", default="perso", choices=[('perso', u"Distribuer immédiatement"), ('devoir', u"Distribuer plus tard")], coerce=unicode)

    submit = SubmitField(u'Valider')

class DocRamasserForm(Form):
    list_dev_a_ram = SelectField(u'Nom de la référence', choices=[])
    submit = SubmitField(u'Ramasser')

class DocRendreForm(Form):
    list_dev_a_ren = SelectField(u'Nom de la référence', choices=[])
    submit = SubmitField(u'Rendre')

class DocSupprimerForm(Form):
    list_dev_a_sup = SelectField(u'Nom de la référence', choices=[])
    submit = SubmitField(u'Supprimer')
